spop3d(8)

NAME

spop3d - The Solid POP3 Server

SYNOPSIS

spop3d [-rd] [-n maildropfile] [-t maildroptype] [-a time] [-f configfile]

DESCRIPTION

The Solid POP3 Server is an implementation of the Post Office Protocol server that has flexibility on mind. It has support for mailbox, maildir, APOP, bulletins and few other things. It can work as inetd or standalone server. See README for more details.

OPTIONS

-n maildropfile
    Specify a maildrop file (or directory). The following strings beginning with % character are recognized and replaced:

    %s  replace it with user name

    %dN replace it with N-th character of user name

    %%  replace it with single % character

    %m  replace it with mapped user name (read VIRTUALS file)

    If specified path is not absolute it is treated as relative to user home directory. For example: /var/mail/%d1/%d2/%s is expanded to /var/mail/j/u/jurekb and Mail/bugtraq is expanded to /home/jurekb/Mail/bugtraq for "jurekb" user on my system. The default is /var/mail/%s or Maildir when mailbox support is not compiled in.

-t maildroptype
    Specify a maildrop type. mailbox and maildir are supported. The default is mailbox or maildir when mailbox support is not compiled in.

-a time
    Specify an autologout time. The following suffixes are recognized:

    s   the time is specified in seconds

    m   the time is specified in minutes

    h   the time is specified in hours

    d   the time is specified in days

    w   the time is specified in weeks

    Seconds are used if no suffix is present. The default value is 2 minutes.

-f configfile
    Specify a configuration file. The default is ${sysconfdir}/spop3d.conf

-d  Set server into debugging mode.

-r  Allow root login. This feature is disabled by default and shouldn't be used.

FILES

~/.spop3d
    User configuration file.

~/.spop3d-bull
    This file is used by bulletin code to determine last bulletin received by user.

${localstatedir}/bulletins"
    Bulletins directory.

${sysconfdir}/spop3d.conf"
    Global configuration file.

SEE ALSO

spop3d.conf(5), pop_auth(1), dot-spop3d(5),

AUTHOR
Jerzy Balamut <jurekb@dione.ids.pl>